package app21a.filter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletRequestWrapper;

public final class MyRequestWrapper extends HttpServletRequestWrapper {
  public MyRequestWrapper(HttpServletRequest servletRequest) {
    super(servletRequest);
  }
  
  public String[] getParameterValues(String parameter) {
    String[] results = super.getParameterValues(parameter);
    if (results==null)
      return null;
    int count = results.length;
    
    String[] trimResults = new String[count];
    for (int i=0; i<count; i++) {
      trimResults[i] = results[i].trim();
    }
    
    return trimResults;
  }
}
